<template>
    <form>
        <input type="text" name="email" v-model="state.form.email">
        <input type="password" name="password" v-model="state.form.password">
        <button @click.prevent="submit()"> Enviar </button>
    </form>
</template>

<script>
import { reactive } from '@vue/reactivity'
import {requestPost} from '../services/http-client/'

export default {
    setup() {
        const state = reactive({
            form: {
                email: null,
                password: null
            }
        })

        const submit = () => {
            requestPost('/api/auth/login', state.form).then(response => {
                if (response.status === 200) {
                    localStorage.setItem('minha-aplicacao', JSON.stringify(response.data.access_token))
                    window.location.href = '/'
                    return
                }
                console.log(response)
                
            })
        }
        return {
            state,
            submit
        }
    },
}
</script>
<style scoped>
form input, form button {
    padding: 10px;
}
</style>